% trying to recreate the BCR figures, pfh 7/4/03
% variables / parameters
size = 128;
ns_rowmax = 1.0e-7;
wavelet = 'Daubechies';
wavelet_param = 6;
resolution_level = 1;

% allocate space
A = zeros(size,size);      % Hilbert operator

% generate operator (Hilbert xform)
for i=1:size
  for j=1:size
    if i ~= j
      A(i,j) = 1.0 / (i - j);
    end
  end
end

% Generate wavelet filter coeffs
qmf = MakeONFilter(wavelet, wavelet_param);

% NS transform
B = Mat2SparseNSForm(A, resolution_level, qmf, ns_rowmax);

grid off;

% generate B&W colormap
cmap = zeros(2,3);
cmap(1,:) = 1.0;

pcolor(abs(full(B)));
%colormap(cmap);

title('Non-Standard form of Hilbert Transform, Daubechies wavelet');

