% trying to recreate the BCR figures, pfh 7/4/03
% variables / parameters

size = 128;
ns_rowmax = 0.001;
wavelet = 'Daubechies';
wavelet_param = 6;
resolution_level = 1;

azimuth = 40;
elevation = 0;
hrtf_set = 'H';

hrtf = readhrtf(elevation, azimuth, hrtf_set);
% Left channel, rotated into a column vector
A = hrtf(1,:);

% Matrix form of the operator
B = circulant(A);

% Generate wavelet filter coeffs
qmf = MakeONFilter(wavelet, wavelet_param);

% NS transform
C = Mat2SparseNSForm(B, resolution_level, qmf, ns_rowmax);

pcolor(abs(full(C)));
shading flat;

colormap(gray);
colormap(flipud(gray));

%title('Non-Standard form of HRTF, Daubechies wavelet');

